package net.sf.saxon.type;

/**
 * This interface defines an object representing
 * a validation context, as used in XQuery to control the effect of the validate{}
 * expression.
 * The real implementation of these declarations is available in the schema-aware
 * version of the Saxon product.
 */

public interface ValidationContext {

    /**
     * Determine whether this is a void validation context (a context in which nothing will validate)
     * @return true if this validation context is void
     */

    public boolean isVoidValidationContext();

}
